Bug 189677 - No longer possible to "copy & rename" file in same directory
No longer possible to "copy & rename" file in same directory
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kdebase (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-22 16:01 EDT by Chris West
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-23 09:28:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 123796 None None None Never

  None (edit)
Description Chris West 2006-04-22 16:01:05 EDT
Description of problem:
Unable to "copy & rename" file in same directory in konqueror.
Prior to installing kdebase v6:3.5.2-0.1.fc4, it was possible to select a file
in konqueror, copy & paste it into the same directory and a dialog box would
open offering to rename the file or select a new name. Now a dialog box opens to
 inform you that "The source and destination are the same file" and there is no
option to rename.
This severly reduces the useability of konqueror as a file manager.

Version-Release number of selected component (if applicable):
konqueror as packaged in kdebase v6:3.5.2-0.1.fc4

How reproducible:
100%

Steps to Reproduce:
1.Open konqueror, select a file
2.Edit -> Copy
3.Edit -> Paste File (remain in same directory)
  
Actual results:
Dialog box opens:
Title: "Information - Konqueror"
Message: "The source and destination are the same file <filename>"
Action available: <Cancel>

Expected results:
Dialog box opens:
Offering to auto rename the file or alowing the user to manually rename it

Additional info:
This is a known (& resloved) KDE v3.5.2 bug (bug 123796)
See: http://bugs.kde.org/show_bug.cgi?id=123796
Comment 1 Chris West 2006-05-23 04:08:07 EDT
Same bug also occurs in FC5 (kdelibs 6:3.5.2-0.2.fc5)
Comment 2 Ngo Than 2006-05-23 09:28:46 EDT
it's now fixed in rawhide. I will build new kdelibs including this fix for
FC5-update soon. Many thanks for your report.

Note You need to log in before you can comment on or make changes to this bug.